<template>
  <div class="file-list">
    <h5 v-if="header" class="label">{{ header }}</h5>
    <client-only>
      <div class="list">
        <div v-for="(item, index) in data" :key="index" class="item">
          <Document24 class="icon-doc" />
          <div class="body1">
            <b>{{ item.name }}</b>
          </div>
          <a
            :href="item.file"
            download
            target="_blank"
            rel="noopener noreferrer"
            class="btn-download"
          >
            <Download24 />
          </a>
        </div>
      </div>
    </client-only>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Array,
      default: [],
    },
    header: {
      type: String,
      default: "",
    },
  },
};
</script>

<style lang="scss" scoped>
.file-list {
  .label {
    font-weight: normal;
    margin-top: 40px;
  }
  .list {
    margin-top: 40px;
    .item {
      display: flex;
      align-items: center;
      border-top: 1px solid $color-primary-500;
      padding: 20px 0;
      gap: 6px;
      .icon-doc {
        flex: none;
      }
      .btn-download {
        color: $color-primary-500;
        margin-left: auto;
      }
    }
    .item:last-of-type {
      border-bottom: 1px solid $color-primary-500;
    }
  }
}
.file-list:first-child {
  .label {
    margin-top: 0;
  }
}
</style>
